Page MenuHomePhabricator

Allow rich text editing of image captions in gallery dialog
Closed, ResolvedPublic8 Story Points

Description

Currently the captions must be edited using wikitext, e.g. for italicising names of art works.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterMake gallery dialog work with native gallery implementation

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2016, 5:34 PM
Jdforrester-WMF triaged this task as Medium priority.Nov 8 2016, 7:17 PM
Jdforrester-WMF set the point value for this task to 8.

Change 322490 had a related patch set uploaded (by Tchanders):
[mediawiki/extensions/VisualEditor@master] WIP Make gallery dialog work with native gallery implementation

https://gerrit.wikimedia.org/r/322490

Deskana removed Tchanders as the assignee of this task.Oct 16 2017, 1:02 PM
Jdforrester-WMF moved this task from Blocked to Current work on the VisualEditor board.
Jdforrester-WMF moved this task from Incoming to In progress on the VisualEditor (Current work) board.

Change 322490 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Make gallery dialog work with native gallery implementation

https://gerrit.wikimedia.org/r/322490

@matmarex: Unlike the caption field in the Media Settings dialog, this one does not support multiline text input. Is that intentional?

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 20 2018, 9:05 PM

@Ryasmeen Yes, neither the main gallery caption nor the image captions can contain multiline text. This is a limitation of MediaWiki <gallery> syntax. (If you manage to put multiline text there, that's a bug, since it won't render correctly to wikitext after saving.)

@matmarex: I have actually managed to put multiline text there by adding a block node which creates a slug right above it, and then you can add another line there.